:root {
    --accentDark: #ffd700;
    --accentMid: #ffe96d;
    --accentLight: #fff7c8;
    --background: #f5f5f5;
    --backgroundLight: #fff;
    --link: #0000FF;
    --button: #D9D2D2;
    --textDark: #383b3e;
}

body {
    font-family: 'Roboto', sans-serif;
    background-color: var(--background);
}

a {
    color: var(--link);
    text-decoration: none;
    font-weight: bold;
    padding: 0.5rem 0.25rem;
}

a:hover {
    text-decoration: underline;
}

button {
  position: relative;
  overflow: hidden;
  transition: background 400ms;
  color: var(--textDark);
  background-color: var(--button);
  padding: 1rem 2rem;
  font-size: 1.25rem;
  outline: 0;
  border: 0;
  border-radius: 0.25rem;
  box-shadow: 0 0 0.5rem #ccc;
  cursor: pointer;
}

button a {
    text-decoration: none;
    color: inherit;
    padding: 1rem;
}

button a:hover {
    text-decoration: none;
}

footer {
    max-width: 550px;
    font-size: 0.75em;
    margin: 9em auto 0;
    text-align: center;
}

h2 {
    margin-top: 0;
}

header {
    margin: 0 auto 1rem;
}

img {
    max-width: 100%;
}

input {
    margin: 1rem;
    font-size: 1.25em;
}

input[type="email"] {
    
}

input[type="range"] {
    max-width: 150px;
}

li h2 {
    display: inline;
}

nav {
    display: flex;
    flex-direction: row;
}

nav a {
    text-decoration: none;
    color: black;
    margin: 0;
    padding: 1rem 0.75rem;
    min-width: 50px;
    display: block;
    text-align: center;
}

nav a:hover {
    background-color: var(--accentLight);
    color: black;
}

ol {
    max-width: 100%;
}

select {
    font-size: 1.25em;
    margin: 0.5rem 1rem;
}

textarea {
    width: 100%;
    margin-top: 0.5rem;
}

ul li {
    margin-top: 1rem;
}

.activeNav {
    background-color: var(--accentMid);
}

.articleContainer {
    line-height: 2rem;
    font-size: 18px;
}

.articlePreviewImgContainer {
    margin-top: 1rem;
}

.articlePreviewImgContainer img {
    height: 75px;
    min-width: 70px;
}

.btnEdit {
    margin: 2rem;
    padding: 3rem 2rem;
}

.btnHome {
    margin: 2rem 1rem;
    width: 90%;
    max-width: 650px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
    border: 2px solid var(--accentLight);
    border-radius: 15px 50px;
}

.btnHome:hover {
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    border-color: var(--accentMid);
}

.btnSmall {
    font-size: 1rem;
    padding: 0.5rem 1rem;
    background-color: var(--accentLight);
}

.btnMed {
    font-size: 1.25rem;
    padding: 0.75rem 1.5rem;
    background-color: var(--accentLight);
}

.captainIconContainer {
    background-color: var(--accentDark);
    padding: 15px;
    border-radius: 75px;
    width: 35px;
    height: 35px;
}

.captainIcon {
    margin: -65% -55%;
    display: block;
    transform: scale(0.66);
    max-width: none;
}

.card {
    background-color: var(--backgroundLight);
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
    padding: 1rem;
    margin: 1rem;
}

.card:hover {
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
}

.cardArticle {
    max-width: 700px;
    margin: 2rem auto;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.cardArticle button {
    display: block;
    margin: 1rem auto 0;
}

.cardArticle button:hover {
    outline: 2px solid var(--accentMid);
}

.dexCard {
    width: 250px;
}

.dexFighterLink {
    display: block;
    width: 100%;
    height: 100%;
    line-height: 125px;
    padding: 0;
}

.dexFighterLink:hover {
    background-color: var(--accentLight);
    outline: 1px solid var(--accentDark);
}

.dexFighterLinkContainer {
    height: 100%;
    display: flex;
}

.dexFighterStyleContainer, .dexFighterTraitContainer {
    position: relative;
}

.dexImg {
    max-height: 125px;
}

.dexHeaderRow {
    padding: 1rem 0;
    position: -webkit-sticky; /* Safari */
    position: sticky;
    top: 0;
    background-color: var(--background);
    font-weight: bold;
    border-bottom: 2px solid var(--accentMid);
    z-index: 3;
}

.dexRow {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 1rem;
    width: 100%;
}

.dexRow:nth-child(even) {
    background-color: var(--backgroundLight);
}

.dexRow > div {
    width: 125px;
    text-align: center;
}

.fighterContainer {
    margin: 2rem auto 8rem;
}

.fighterImgForm {
    object-fit: contain;
}

.fighterFormContainer {
    margin: 2rem 0;
}

.filtersContainer {
    max-width: 80%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 1rem
}

.flexContainer {
    display: flex;
    justify-content: center;
    flex-direction: column;
    flex-wrap: wrap;
}

.focusContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.focusInnerContainer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
}

.focusInnerContainer > div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0.66rem;
}

.focusPointsDisp {
    display: inline-block;
    min-width: 30px;
    vertical-align: top;
    text-align: center;
}

.formContainer {
    max-width: 650px;
    margin: 0 auto;
}


.fullWidthInput {
    width: 80%;
}

.hide {
    visibility: hidden;
    position: absolute;
    width: max-content;
    min-width: 150px;
    max-width: 275px;
    right: 0;
    margin-top: 5px;
    background-color: var(--backgroundLight);
    box-shadow: 2px 2px 2px #ccc;
    border: 1px solid #d2d2ec;
    border-radius: 4px;
    padding: 1em;
    z-index: 2;
}

.hasTooltip:hover + .hide {
    visibility: visible;
    
}

.hide img {
    max-height: 1.5em;
    vertical-align: middle;
}

.homeContainer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.introContainer {
    margin: 2rem auto 4rem;
}

.level1 {
    display: none;
}

.listNumbers {
  list-style: none;
  counter-reset: my-counter;
  padding-inline-start: 0;
}
.listNumbers > li {
  counter-increment: my-counter;
  margin-top: 2rem;
}
.listNumbers > li::before {
  content: counter(my-counter);
  font-weight: bold;
  font-size: 2rem;
  margin-right: 1rem;
  font-family: 'Play', sans-serif;
  line-height: 1;
  color: var(--accentDark);
}

.logo {
    margin: 0 auto;
    font-family: 'Bitter', serif;
}

.logoText {
    position: relative;
    left: 25px;
    top: -50px;
    font-size: 2rem;
}

.outroContainer {
    margin: 2rem auto;
}

.picStatContainer {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.teamsPageContainer {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: space-between;
    width: 80%;
    margin: 1rem auto;
}

#calcBtn {
    background-image: url("../img/phone.png");
    background-repeat: no-repeat;
    background-position: 7% 33%;
    background-size: 12.5%;
}

#dexBtn {
    background-image: url("../img/Chassis_-_sneaky.png");
    background-repeat: no-repeat;
    background-position: 15% 33%;
    background-size: 33%;
}


#feelingsBox {
    max-width: 1500px;
    margin: 0 auto;
}


#teamsBtn {
    background-image: url("../img/Seyla_idle_clay.png");
    background-repeat: no-repeat;
    background-position: 150% 25%;
    background-size: 66%;
}

#toTopBtn {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
}

#updateButtonBox {
    max-width: 250px;
    margin: 0 auto;
    position: fixed;
    bottom: 5%;
    right: 0;
    padding: 10px;
    background-color: var(--backgroundLight);
    box-shadow: 2px 2px 2px #ccc;
    border: 1px solid #d2d2ec;
    border-radius: 4px;
}

#writeBtn {
    background-image: url("../img/Dig-fill128-full.png");
    background-repeat: no-repeat;
    background-position: 85% 33%;
    background-size: 25%;
}

@media only screen and (min-width: 768px) {
    .level1 {
        display: block;
    }
}

@media only screen and (min-width: 1024px) {
    header {
        width: 650px;
    }
    
    .btnEdit {
        min-width: 275px;
    }
    
    .flexContainer {
        flex-direction: row;
    }
    
    .outroContainer, .introContainer, .fighterContainer {
        max-width: 650px;
    }
    
    .picStatContainer {
        flex-direction: row;
    }
    
    #fighterBox {
        width: 80%;
        margin: 1rem auto;
    }
    
    #teamsBox {
        max-width: 1500px;
        margin: 1rem auto;
    }
    
    #updateButtonBox {
        right: 10%;
    }
}
